Bug 2048413

Summary: Bond CNI: Failed to attach Bond NAD to pod
Product: OpenShift Container Platform Reporter: elevin
Component: NetworkingAssignee: Marcin Mirecki <mmirecki>
Networking sub component: multus QA Contact: elevin
Status: CLOSED ERRATA Docs Contact:
Severity: urgent    
Priority: urgent CC: anbhat, cgoncalves, ealcaniz
Version: 4.10Keywords: Triaged
Target Milestone: ---Flags: mmirecki: needinfo? (anbhat)
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 2049078 (view as bug list) Environment:
Last Closed: 2022-03-10 16:42:51 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2049078    
Bug Blocks:    

Description elevin 2022-01-31 08:17:49 UTC
Description of problem:
Failed to create pod sandbox: rpc error: code = Unknown desc = failed to create pod network sandbox k8s_testpod-p58ds_sriov-operator-tests_a69125be-2973-4635-9183-ba0a2fa18ce4_0(f77a400a2f505e687a6b774d212b746abddc19ce33fedb347a1cc2d950ac3615): error adding pod sriov-operator-tests_testpod-p58ds to CNI network "multus-cni-network": plugin type="multus" name="multus-cni-network" failed (add): [sriov-operator-tests/testpod-p58ds/a69125be-2973-4635-9183-ba0a2fa18ce4:bond-net]: error adding container to network "bond-net": failed to find plugin "bond" in path [/opt/multus/bin /var/lib/cni/bin /usr/libexec/cni]

apiVersion: "k8s.cni.cncf.io/v1"
kind: NetworkAttachmentDefinition
metadata:
  name: bond-net
  namespace: bond-test
spec:
  config: '{
  "type": "bond",
  "cniVersion": "0.3.1",
  "name": "bond-net1",
  "ifname": "bond0",
  "mode": "balance-alb",
  "failOverMac": 1,
  "linksInContainer": true,
  "miimon": "100", 
  "links": [
     {"name": "net1"},
     {"name": "net2"}
  ],
  "capabilities": {"ips": true},
  "ipam": {"type": "static"}
}'

sh-4.4# ls -la /var/lib/cni/bin/
total 244640
drwxr-xr-x. 3 root root     4096 Jan 30 20:37 .
drwxr-xr-x. 7 root root       75 Jan 30 20:34 ..
-rwxr-xr-x. 1 root root  3785247 Jan 30 20:33 bandwidth
drwxr-xr-x. 2 root root       18 Jan 30 15:37 bondcni
-rwxr-xr-x. 1 root root  4191417 Jan 30 20:33 bridge
-rwxr-xr-x. 1 root root  9765626 Jan 30 20:33 dhcp
-rwxr-xr-x. 1 root root 30886582 Jan 30 20:33 egress-router
-rwxr-xr-x. 1 root root  4336960 Jan 30 20:33 firewall
-rwxr-xr-x. 1 root root  3811761 Jan 30 20:33 host-device
-rwxr-xr-x. 1 root root  3241396 Jan 30 20:33 host-local
-rwxr-xr-x. 1 root root  5110584 Jan 30 20:33 ib-sriov
-rwxr-xr-x. 1 root root  3923222 Jan 30 20:33 ipvlan
-rwxr-xr-x. 1 root root  3295200 Jan 30 20:33 loopback
-rwxr-xr-x. 1 root root  4008350 Jan 30 20:33 macvlan
-rwxr-xr-x. 1 root root 46688827 Jan 30 20:33 multus
-rwxr-xr-x. 1 root root 49270869 Jan 30 20:34 ovn-k8s-cni-overlay
-rwxr-xr-x. 1 root root  3699966 Jan 30 20:33 portmap
-rwxr-xr-x. 1 root root  4105517 Jan 30 20:33 ptp
-rwxr-xr-x. 1 root root  2920740 Jan 30 20:34 route-override
-rwxr-xr-x. 1 root root  3483701 Jan 30 20:33 sbr
-rwxr-xr-x. 1 root root  3699435 Jan 30 20:33 sriov
-rwxr-xr-x. 1 root root  2818620 Jan 30 20:33 static
-rwxr-xr-x. 1 root root  3456054 Jan 30 20:33 tuning
-rwxr-xr-x. 1 root root  3921497 Jan 30 20:33 vlan
-rwxr-xr-x. 1 root root  3523132 Jan 30 20:33 vrf
-rwxr-xr-x. 1 root root 42350193 Jan 30 20:34 whereabouts





Version-Release number of selected component (if applicable):
Server Version: 4.10.0-fc.3
Kubernetes Version: v1.23.0+2135ac2

How reproducible:
100%

Steps to Reproduce:
1.Create Bond NAD
2.Attach Bond NAD to a pod
3.

Actual results:
Failed to create pod and bond interface

Expected results:
pod is running with bond interface

Additional info:

Comment 6 elevin 2022-02-06 08:29:49 UTC
Server Version: 4.10.0-rc.1
================================

 ls -la var/lib/cni/bin/bond 
-rwxr-xr-x. 1 root root 3946960 Feb  6 08:12 var/lib/cni/bin/bond

Ran 5 of 5 Specs in 2034.902 seconds
SUCCESS! -- 5 Passed | 0 Failed | 0 Pending | 0 Skipped

Comment 8 errata-xmlrpc 2022-03-10 16:42:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056